from distutils.core import setup, Extension
import numpy, os

# FrameL is not consistent in its installation across platforms since
# PowerPC's architecture string contains a space ("Power Macintosh").
# The following works for Linux and Mac OS X
FrameLlibdir = '../' + os.uname()[0]
if FrameLlibdir=='../Linux':
    FrameLlibdir += '-' + os.uname()[4]

frgetvect = Extension('frgetvect',
    define_macros = [('MAJOR_VERSION', '0'),('MINOR_VERSION', '2')],
        extra_compile_args = ['-w'],
        include_dirs = ['../src',numpy.get_include()],
        libraries = ['Frame'],
        library_dirs = [FrameLlibdir],
        sources = ['frgetvect.c'],
        )

setup (name = 'Pyfrgetvect',
       version = '0.2',
       description = 'FrameL-based frame reading interface for Python',
       author = 'Nick Fotopoulos',
       author_email = 'nvf@mit.edu',
       ext_modules = [frgetvect])
       
